# Ogre::SceneManager::RenderContext Struct Reference

`#include <OgreSceneManager.h>`

List of all members.

## Public Attributes

RenderQueue * | renderQueue
Viewport * | viewport
Camera * | camera
CompositorChain * | activeChain
RenderSystem::RenderSystemContext * | rsContext

## Detailed Description

Definition at line 776 of file OgreSceneManager.h.

## Member Data Documentation

CompositorChain* Ogre::SceneManager::RenderContext::activeChain

Definition at line 781 of file OgreSceneManager.h.

Camera* Ogre::SceneManager::RenderContext::camera

Definition at line 780 of file OgreSceneManager.h.

RenderQueue* Ogre::SceneManager::RenderContext::renderQueue

Definition at line 778 of file OgreSceneManager.h.

RenderSystem::RenderSystemContext* Ogre::SceneManager::RenderContext::rsContext

Definition at line 782 of file OgreSceneManager.h.

Viewport* Ogre::SceneManager::RenderContext::viewport

Definition at line 779 of file OgreSceneManager.h.

The documentation for this struct was generated from the following file:

- OgreSceneManager.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun May 8 2011 20:28:17